Subject: Re: bug#7957: build failure due to missing fontconfig's FC_DUAL

From: Kenichi Handa <[email-masked]>
Date: Wed, 02 Feb 2011 11:19:34 +0900

In article <[email-masked]>, Glenn Morris <[email-masked]> writes:

> 23.2.93 pretest fails to build on RHEL 4.8:

>   ftfont.c: In function `ftfont_open':
>   ftfont.c:1265: error: `FC_DUAL' undeclared (first use in this function)

> Re-configuring using --without-xft worked.

> This system has fontconfig 2.2.3. This passes configure's check for
version> = 2.2.0. However, it looks like FC_DUAL was not added until
> version 2.3.0. Perhaps the version configure tests for should be bumped.

> (But since I personally don't care about using dual-width fonts with
> Emacs, it might be nice if I could still use the older fontconfig.)

I've just installed a fix in emacs-23 branch to refer
FC_DUAL only when it's defined

---
Kenichi Handa
[email-masked]